-1

I am constantly receiving updates but when I download then, in the end it gives the error message package operation failed. I am not able to figure out what has caused this exactly. I don't have enough reputation else I would have posted the screenshots! I have a total disk of 18Gigs, out of which 10Gigs is free. I tried few methods like following:

sudo apt-get autoclean
sudo apt-get update
sudo apt-get upgrade

But it still gives the error message and it's irritating.

Thanking in advance.

The whole error message is:

installArchives() failed: perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
    LANGUAGE = (unset),
    LC_ALL = (unset),
    LANG = "en_IN.ISO8859-1"
    are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory
Setting up firefox (28.0+build2-0ubuntu0.12.04.1) ...
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing firefox (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up openjdk-7-jdk (7u55-2.4.7-1ubuntu1~0.12.04.2) ...
No apport report written because MaxReports is reached already
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing openjdk-7-jdk (--configure):
 subprocess installed post-installation script returned error exit status 2
No apport report written because MaxReports is reached already
Setting up samba-common-bin (2:3.6.3-2ubuntu2.10) ...
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing samba-common-bin (--configure):
 subprocess installed post-installation script returned error exit status 2
No apport report written because MaxReports is reached already
Setting up ssh-askpass-gnome (1:5.9p1-5ubuntu1.2) ...
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing ssh-askpass-gnome (--configure):
 subprocess installed post-installation script returned error exit status 2
No apport report written because MaxReports is reached already
<br>
<b><i>Errors were encountered while processing:<br>
 firefox<br>
 openjdk-7-jdk<br>
 samba-common-bin<br>
 ssh-askpass-gnome</i></b><br>
Error in function: 
Setting up ssh-askpass-gnome (1:5.9p1-5ubuntu1.2) ...
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing ssh-askpass-gnome (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up samba-common-bin (2:3.6.3-2ubuntu2.10) ...
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing samba-common-bin (--configure):
 subprocess installed post-installation script returned error exit status 2
Setting up firefox (28.0+build2-0ubuntu0.12.04.1) ...
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing firefox (--configure):
 subprocess installed post-installation script returned error exit status 2
0

Reading the error message:

installArchives() failed: perl: warning: Setting locale failed.
perl: warning: Please check that your locale settings:
LANGUAGE = (unset),
LC_ALL = (unset),
LANG = "en_IN.ISO8859-1"
are supported and installed on your system.
perl: warning: Falling back to the standard locale ("C").
locale: Cannot set LC_CTYPE to default locale: No such file or directory
locale: Cannot set LC_MESSAGES to default locale: No such file or directory
locale: Cannot set LC_ALL to default locale: No such file or directory  

It seems that you have a problem with locale (human language support). You have your language defined as LANG="en_IN.ISO8859-1", but dpkg -L locale|grep en_IN shows only
/usr/share/i18n/locales/en_IN

So, try something like:

bash
export LANG="en_IN"  
sudo apt-get update  
sudo apt-get upgrade  
exit

as a workaround. If you want a log, you can replace the bash command with script my.log

As for how you ended up with LANG="en_IN.ISO8859-1", I am puzzled.

Reading on,

Setting up firefox (28.0+build2-0ubuntu0.12.04.1) ...
update-alternatives: error: cannot stat file '/usr/bin/java/jdk1.7.0_51/bin/javac': Not a directory
dpkg: error processing firefox (--configure):
subprocess installed post-installation script returned error exit status 2

Says that, while dpkg was trying to --configure the firefox package, a subprocess failed (status 2), probably because it could not find /usr/bin/java/jdk1.7.0_51/bin/javac. but since this is the second major error in this logfile, it might have been caused by the first error. If it happens again, after fixing the LANG problem, worry about it then.

No apport report written because MaxReports is reached already  

apport is the error-reporting system. You have had so many errors (more than MaxReports), that apport did not send this error to Canonical/Ubuntu Support (see man -k apport).

Just read, and understand, the messages. Fix the first problem and any independant-looking other problems. Lather, Rinse, Repeat.

`

| improve this answer | |

Not the answer you're looking for? Browse other questions tagged or ask your own question.